if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
settings.inlinetex=true;
deletepreamble();
defaultfilename="linear_algebra_I-3";
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

import graph;
size(200,0);
real f(real x) {return -2*x/3+2;}
pair F(real x) {return (x,f(x));}
xaxis("$x$",xmin=-1,xmax=4,Arrow(HookHead,size=4));
yaxis("$y$",ymin=-.5,ymax=2.5,Arrow(HookHead,size=4));
draw(F(.5)--(.5,f(2.5)),dashed+black+1);
draw((.5,f(2.5))--F(2.5),dashed+black+1);
draw(graph(f,-.5,3.5,operator --),red+2);
//dot(F(.5),black+5);
//dot(F(2.5),black+5);
//label("$(x_1,y_1)$",F(.5),NE);
//label("$(x_2,y_2)$",F(2.5),NE);
label("$\scriptsize\Delta x$",(1.4,f(2.5)),N);
label("$\scriptsize\Delta y$",(0.5,.85),E);
label("$m=\frac{\Delta y}{\Delta x}$",F(1.5),NE);
//xtick("$a$",3);
ytick("$b$",2);
