if(!settings.multipleView) settings.batchView=false;
settings.tex="pdflatex";
settings.inlinetex=true;
deletepreamble();
defaultfilename="linear_algebra_I-8";
if(settings.render < 0) settings.render=4;
settings.outformat="";
settings.inlineimage=true;
settings.embed=true;
settings.toolbar=false;
viewportmargin=(2,2);

import graph;
size(200,0);
real f(real x) {return -2*x/3+3;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -2*x/3+2;}
pair G(real x) {return (x,g(x));}
real h(real x) {return x+.2;}
pair H(real x) {return (x,h(x));}
xaxis("$x$",xmin=-1,xmax=3,Arrow(HookHead,size=4));
yaxis("$y$",ymin=-.75,ymax=3,Arrow(HookHead,size=4));
draw(graph(f,.5,2.5,operator --),red+2);
//draw(graph(f,.75,2.25,operator --),black+3);
//draw(graph(g,.5,2.5,operator --),red+2);
draw(graph(h,.5,2.5,operator --),red+2);
dot(F(126/75),black+5);
label("$\mathit{l}_1$",F(2.5),SW);
//label("$\mathit{l}_1=\mathit{l}_2$",F(2.5),SW);
//label("$\mathit{l}_2$",G(2.5),SW);
label("$\mathit{l}_2$",H(2.5),SE);
label("lines not parallel",(.45,-.4),E);
//label("different parallel lines",(.25,-.4),E);
//label("coincident parallel lines",(.25,-.4),E);
